Skip to content
Docs
Credentials

Retrieve

Retrieve

organizations.service_accounts.credentials.retrieve(strcredential_id, CredentialRetrieveParams**kwargs) -> ServiceAccountCredential
GET/organizations/{organization_id}/service-accounts/{service_account_id}/credentials/{credential_id}

Get a specific service account credential

ParametersExpand Collapse
organization_id: str

Organization ID or label identifier

minLength1
maxLength255
service_account_id: str

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
credential_id: str

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
expand: Optional[List[Literal["permissions", "total_count"]]]

Fields to expand in the response. Supports "permissions" to include the permissions field with the caller's permissions for the resource. For list organization identities only, "total_count" populates pagination.total_count with the number of identities matching the same filters as the list (excluding cursor and limit). Other operations ignore expand values they do not use.

Accepts one of the following:
"permissions"
"total_count"
x_client_request_id: Optional[str]
formatuuid
ReturnsExpand Collapse
class ServiceAccountCredential:

Service account credential (without secret)

id: str

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
client_id: str

The client ID for authentication

created_at: datetime

The time the entity was created in utc

formatdate-time
name: str

A name for the entity to be displayed in UI

description: Optional[str]

Optional description of the credential

last_used_at: Optional[datetime]

When the credential was last used

formatdate-time
permissions: Optional[Dict[str, Dict[str, bool]]]

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

Retrieve

from keycardai_api import KeycardAPI

client = KeycardAPI()
service_account_credential = client.organizations.service_accounts.credentials.retrieve(
    credential_id="ab3def8hij2klm9opq5rst7uvw",
    organization_id="x",
    service_account_id="ab3def8hij2klm9opq5rst7uvw",
)
print(service_account_credential.id)
{
  "id": "ab3def8hij2klm9opq5rst7uvw",
  "client_id": "A1b2C3d4E5f6G7h8I9j0K",
  "created_at": "2019-12-27T18:11:19.117Z",
  "name": "name",
  "description": "description",
  "last_used_at": "2019-12-27T18:11:19.117Z",
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}
Returns Examples
{
  "id": "ab3def8hij2klm9opq5rst7uvw",
  "client_id": "A1b2C3d4E5f6G7h8I9j0K",
  "created_at": "2019-12-27T18:11:19.117Z",
  "name": "name",
  "description": "description",
  "last_used_at": "2019-12-27T18:11:19.117Z",
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}